Bug 107152 - feeder-queue shouldn't bother feeding patches over a week old
Summary: feeder-queue shouldn't bother feeding patches over a week old
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-17 12:04 PST by Eric Seidel (no email)
Modified: 2013-11-11 09:35 PST (History)
5 users (show)

See Also:


Attachments
Do not feed old patches into feeder queue. (7.62 KB, patch)
2013-11-04 03:23 PST, Tamas Gergely
no flags Details | Formatted Diff | Diff
Do not feed old patches into feeder queue. (7.64 KB, patch)
2013-11-05 23:52 PST, Tamas Gergely
no flags Details | Formatted Diff | Diff
Date issue of previous patch corrected. (7.66 KB, patch)
2013-11-06 02:46 PST, Tamas Gergely
no flags Details | Formatted Diff | Diff
Do not feed old patches into feeder queue. (7.64 KB, patch)
2013-11-11 06:56 PST, Tamas Gergely
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Seidel (no email) 2013-01-17 12:04:00 PST
feeder-queue shouldn't bother feeding patches over a week old

They're unlikely to apply, and just cause confusion when folks bring up a new EWS.

We'd probably want to make the search results parsing slightly smarter so we don't have to do a separate fetch for each patch just to get it's mod date:
http://trac.webkit.org/browser/trunk/Tools/Scripts/webkitpy/tool/bot/feeders.py#L87
Comment 1 Tamas Gergely 2013-11-04 03:23:11 PST
Created attachment 215907 [details]
Do not feed old patches into feeder queue.

Now the feeder queue takes care of the attachment date. Only a single fetch is performed, which will parse the creation dates if required. (If no date is given to the function, the old parsing method will be used.)
Comment 2 WebKit Commit Bot 2013-11-04 03:24:50 PST
Attachment 215907 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Tools/ChangeLog', u'Tools/Scripts/webkitpy/common/net/bugzilla/bugzilla.py', u'Tools/Scripts/webkitpy/common/net/bugzilla/bugzilla_mock.py', u'Tools/Scripts/webkitpy/common/net/bugzilla/bugzilla_unittest.py', u'Tools/Scripts/webkitpy/tool/bot/feeders.py']" exit_code: 1
Tools/Scripts/webkitpy/common/net/bugzilla/bugzilla.py:201:  whitespace before ':'  [pep8/E203] [5]
Total errors found: 1 in 5 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Csaba Osztrogonác 2013-11-04 08:55:27 PST
Comment on attachment 215907 [details]
Do not feed old patches into feeder queue.

View in context: https://bugs.webkit.org/attachment.cgi?id=215907&action=review

> Tools/Scripts/webkitpy/tool/bot/feeders.py:94
> -        ids_needing_review = set(self._tool.bugs.queries.fetch_attachment_ids_from_review_queue())
> +        ids_needing_review = set(self._tool.bugs.queries.fetch_attachment_ids_from_review_queue(datetime.today()))

It should be now - 7 days, not now. :)
Comment 4 Tamas Gergely 2013-11-05 23:52:11 PST
Created attachment 216143 [details]
Do not feed old patches into feeder queue.
Comment 5 Peter Gal 2013-11-06 00:01:02 PST
Comment on attachment 216143 [details]
Do not feed old patches into feeder queue.

View in context: https://bugs.webkit.org/attachment.cgi?id=216143&action=review

> Tools/Scripts/webkitpy/tool/bot/feeders.py:94
> +        ids_needing_review = set(self._tool.bugs.queries.fetch_attachment_ids_from_review_queue(datetime.today()))

Is the date really correct here? Ossy mentioned an extra -7 in his previous comment.
Comment 6 Tamas Gergely 2013-11-06 02:46:06 PST
Created attachment 216159 [details]
Date issue of previous patch corrected.
Comment 7 Csaba Osztrogonác 2013-11-11 02:48:12 PST
Comment on attachment 216159 [details]
Date issue of previous patch corrected.

View in context: https://bugs.webkit.org/attachment.cgi?id=216159&action=review

The patch looks good to me in general.

> Tools/Scripts/webkitpy/common/net/bugzilla/bugzilla.py:207
> +                _log.info("Not feeding old patch %d (%s)" % (patch_id, date_tag))

Now only tool.bot.feeders.feed() calls this function with non default since argument.

But it might be changed in the future, and "Not feeding old patch ..."
would be confusing if the code isn't related to feeding queues at all.
Comment 8 Tamas Gergely 2013-11-11 06:56:56 PST
Created attachment 216567 [details]
Do not feed old patches into feeder queue.

Log message changed to "Patch is old ...".
Comment 9 Csaba Osztrogonác 2013-11-11 09:09:46 PST
Comment on attachment 216567 [details]
Do not feed old patches into feeder queue.

r=me
Comment 10 WebKit Commit Bot 2013-11-11 09:35:00 PST
Comment on attachment 216567 [details]
Do not feed old patches into feeder queue.

Clearing flags on attachment: 216567

Committed r159052: <http://trac.webkit.org/changeset/159052>
Comment 11 WebKit Commit Bot 2013-11-11 09:35:02 PST
All reviewed patches have been landed.  Closing bug.